package com.bizmatics.mhfire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.mhfire.model.DeviceAj;
import com.bizmatics.mhfire.persistence.mapper.DeviceAjMapper;
import com.bizmatics.mhfire.service.DeviceAjService;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * <p>
 * 设备案件 服务实现类
 * </p>
 *
 * @author ya
 * @since 2021-11-25
 */
@Service
public class DeviceAjServiceImpl extends AbstractCrudService<DeviceAjMapper, DeviceAj> implements DeviceAjService {

    @Override
    public CommonPage<DeviceAj> page(String deviceType, Integer current, Integer size, Date startTime, Date endTime) {
        LambdaQueryWrapper<DeviceAj> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(DeviceAj::getDeviceType,deviceType)
                .between(null != startTime && null != endTime,DeviceAj::getCreateTime,startTime,endTime)
                .orderByDesc(DeviceAj::getCreateTime);
        Page<DeviceAj> page = new Page<>(current, size);
        return this.ToCommonPage(this.page(page,queryWrapper));
    }
}
